Skip to main content

Create an ApplicationConfigurationVariable group for an application

POST 

/qsystem/rest/config/applications/:applicationId/variables/groups/:groupName

Create an ApplicationConfigurationVariable group for an application.

  • The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.

  • The groupName provided must not be null/empty.

  • Duplicate groupNames are not allowed within an application

  • The groupName must be composed using only the following characters : [A-Z],[a-z],[0-9],[-],[_],[@],[|]

  • On success, creates an empty ApplicationConfigurationVariable group by the specified name.

Usage:

curl -u user:password -i -X POST http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups/{groupName}

Request​

Responses​

Success